require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe
module UU

  # Module Finman
  module Finman

    # Module of finman Financial transaction
    module FinancialTransaction

      # Common ancestor for Financial Transaction DTOs.
      class FinancialTransactionDTO < UU::OS::REST::DTO

        # Handle invocation of missing setter while constructing new DTO.
        #
        # @private
        def method_missing(method, *args, &block)
          if (method.to_s[/=$/]) && (args.size == 1)
            # Do nothing - do not log attribute from JSON that has no attribute in DTO.
          else
            super.method_missing(method, args, &block)
          end
        end         

      end
    end
  end
end
